(function ($) {
    "use strict";
    $(document).ready(function () {

        var $window = $(window),
            $body = $('body'),
            isRtl = $body.hasClass('rtl');

        /*-----------------------------------------------------------------------------------*/
        /*	Owl Carousel
         /*-----------------------------------------------------------------------------------*/
        if (jQuery().owlCarousel) {
            $('.brands-owl-carousel').owlCarousel({
                nav: true,
                dots: false,
                navText: ['<i class="fa fa-caret-left"></i>', '<i class="fa fa-caret-right"></i>'],
                loop: true,
                autoplay: true,
                autoplayTimeout: 4500,
                autoplayHoverPause: true,
                margin: 0,
                rtl: isRtl,
                responsive: {
                    0: {
                        items: 1
                    },
                    480: {
                        items: 2
                    },
                    768: {
                        items: 3
                    },
                    992: {
                        items: 4
                    },
                    1199: {
                        items: 5
                    }
                }
            });
        }

        /*-----------------------------------------------------------------------------------*/
        /*	VenoBox - Just another responsive jQuery lightbox plugin.
         /*-----------------------------------------------------------------------------------*/
        $window.on('load', function () {

            if (jQuery().venobox) {
                $('.clone .venobox').removeClass('venobox');
                $('.inspiry-lightbox-item, .venobox').venobox({
                    // autoplay : true,
                    // infinigall: true,
                    numeratio: true,
                    numerationPosition: 'bottom',
                    titlePosition: 'bottom'
                });
            }

            if (jQuery().swipebox) {
                $('a[data-swipebox-rel]').each(function () {
                    $(this).attr('rel', $(this).data('swipebox-rel'));
                });
            }
        });

        /*-----------------------------------------------------------------------------------*/
        /*	Select2 - For the Ajax based location dropdown field
         /*-----------------------------------------------------------------------------------*/
        if (jQuery().select2) {
            var selectOptions = {
                width: 'off',
                language: {
                    noResults: function () {
                        return localizeSelect.select_noResult;
                    },
                    searching: function () {
                        return localizeSelect.searching_string;
                    }
                },
                ajax: {
                    url: localizeSelect.ajax_url, // AJAX URL is predefined in WordPress admin
                    dataType: 'json',
                    delay: 250, // delay in ms while typing when to perform a AJAX search
                    data: function (params) {
                        return {
                            query: params.term, // search query
                            page: params.page || 1,
                            template: localizeSelect.page_template,
                            action: 'inspiry_get_location_options' // AJAX action for admin-ajax.php
                        };
                    },
                    processResults: function (data) {
                        var options = [];
                        if (data) {
                            // data is the array of arrays, and each of them contains ID and the Label of the option
                            $.each(data, function (index, text) {
                                options.push({id: text[0], text: text[1]});
                            });
                        }
                        return {
                            results: options,
                            pagination: {
                                'more': 15 <= data.length
                            }
                        };
                    },
                    cache: true
                }
            };

            if (isRtl) {
                selectOptions.dir = "rtl";
            }

            $('.ajax-location-field').select2(selectOptions)
                .on("select2:open", function (e) {
                    $(this).parents('.rh_prop_search__select').addClass('rh_prop_search__active');
                    $('.select2-dropdown').hide();
                    setTimeout(function () {
                        $('.select2-dropdown').slideDown(200);
                    }, 10);
                })
                .on("select2:closing", function (e) {
                    $(this).parents('.rh_prop_search__select').removeClass('rh_prop_search__active');
                });
        }

        /*-----------------------------------------------------------------------------------*/

        /* Agent forms validation script for property detail page.
        /*-----------------------------------------------------------------------------------*/
        function inspiryValidateForm(form) {

            var $form = $(form),
                submitButton = $form.find('.submit-button'),
                ajaxLoader = $form.find('.ajax-loader'),
                messageContainer = $form.find('.message-container'),
                errorContainer = $form.find(".error-container"),
                formOptions = {
                    beforeSubmit: function () {
                        submitButton.attr('disabled', 'disabled');
                        ajaxLoader.fadeIn('fast');
                        messageContainer.fadeOut('fast');
                        errorContainer.fadeOut('fast');
                    },
                    success: function (ajax_response, statusText, xhr, $form) {
                        var response = $.parseJSON(ajax_response);
                        ajaxLoader.fadeOut('fast');
                        submitButton.removeAttr('disabled');
                        if (response.success) {
                            $form.resetForm();
                            messageContainer.html(response.message).fadeIn('fast');

                            // call reset function if it exists
                            if (typeof inspiryResetReCAPTCHA == 'function') {
                                inspiryResetReCAPTCHA();
                            }
                        } else {
                            errorContainer.html(response.message).fadeIn('fast');
                        }
                    }
                };

            $form.validate({
                errorLabelContainer: errorContainer,
                submitHandler: function (form) {
                    $(form).ajaxSubmit(formOptions);
                }
            });
        }

        if (jQuery().validate && jQuery().ajaxSubmit) {
            if ($body.hasClass('single-property')) {
                var getAgentForms = $('.agent-form');
                if (getAgentForms.length) {
                    $.each(getAgentForms, function (i, form) {
                        var id = $(form).attr("id");
                        inspiryValidateForm('#' + id);
                    });
                }
            }
        }
    });

    $(window).load(function () {
        $('.rh_wrapper_login_forms #user-role').select2({
            width: 'off',
            theme: 'default inspiry-select2-login-modal-container',
        });
    });


    
})(jQuery);